Package org.gradle.tooling.model.eclipse

## Interface EclipseRuntime

-     @Incubating
      public interface EclipseRuntime

  Information about the eclipse instance. This is a possible parameter for the `EclipseProject` model resolution. It provides additional information to gradle so it can build a more accurate `EclipseProject` model.
  Since:
    5.5
  See Also:
    `EclipseProject`, `BuildController.getModel(Class, Class, Action)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EclipseWorkspace` | `getWorkspace()` |
    `void` | `setWorkspace​(EclipseWorkspace eclipseWorkspace)` | The eclipse workspace

- - ### Method Detail

    - #### getWorkspace

          EclipseWorkspace getWorkspace()

    - #### setWorkspace

          void setWorkspace​(EclipseWorkspace eclipseWorkspace)

      The eclipse workspace